Bug 136283 - The header and footer are not applied to the text grid
Summary: The header and footer are not applied to the text grid
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: CJK Vertical-Text CJK-Japanese
  Show dependency treegraph
 
Reported: 2020-08-30 10:42 UTC by Jun Nogata
Modified: 2021-11-02 10:58 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
The setting and the actual number of characters are different. (15.32 KB, application/vnd.oasis.opendocument.text)
2020-08-30 10:45 UTC, Jun Nogata
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jun Nogata 2020-08-30 10:42:27 UTC
Description:
The header and footer will not be applied to the text grid, so there is a difference between the number of characters in the setting and the actual number of characters.

Steps to Reproduce:
Options
Language Settings -> Language

- Formats
    - Locale setting: Japanese
- Dedault Languages for Documents
    - Asian: Japanese

LibreOffice Writer -> General

- Settings
    - Use square page mode for text grid: Enable



1. Open menubar: Format -> Page Style...
2. Set the page style.

- [Page]tab
     - Text direction: Right-to-left(vertical)
- [Header]tab
     - Header on: Enable
- [Footer]tab
     - Footer on: Enable
- [Text Grid]tab
     - Grid: Grid(lines and characters)

3. Check "Line per page" and "Chacters per lines" and Push [OK] button.

In my state, it was 16 lines and 36 characters.

4. Count The Squares.

There are only 33 squares(characters). The setting is 36 characters.

Actual Results:
Set the number of characters without considering headers and footers. (Set it to 36 characters, but it's 33 characters.)

Expected Results:
Set the number of characters, excluding the header and footer.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Version: 7.0.0.3 (x64)
Build ID: 8061b3e9204bef6b321a21033174034a5e2ea88e
CPU threads: 2; OS: Windows 10.0 Build 19041; UI render: Skia/Raster; VCL: win
Locale: ja-JP (ja_JP); UI: en-US
Calc: threaded
Comment 1 Jun Nogata 2020-08-30 10:45:08 UTC
Created attachment 164867 [details]
The setting and the actual number of characters are different.
Comment 2 BogdanB 2020-08-31 10:56:04 UTC
I confirm this behaviour, but I am not sure if on a page with 36 we add a header and a footer the number should remain the same. I am not japanese. ;)

Confirm with
Version: 7.1.0.0.alpha0+
Build ID: e67657d5211f6e95ddf8bd621108608573b00d5d
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: ja-JP (ro_RO.UTF-8); UI: en-US
Calc: threaded
Comment 3 BogdanB 2020-08-31 10:56:12 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2021-11-02 10:58:02 UTC
Does the fix for bug 141957 fix this?